package com.dayou.service;
import com.dayou.entity.Visit;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.VisitVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 拜访记录表 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
public interface IVisitService extends IService<Visit> {

        Page<VisitVO> selectPage(Page page, VisitVO visit,String keyword);

        VisitVO detail(Long id);

        Boolean add(Visit visit);

        Boolean update(Visit visit);

        Boolean delete(Long id);

    List<VisitVO> getList(VisitVO visit, String keyword);
}
